# Uses of Enum
org.kapott.hbci.sepa.jaxb.camt_052_001_05.CardDataReading1Code

Packages that use CardDataReading1Code
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Uses of CardDataReading1Code in org.kapott.hbci.sepa.jaxb.camt_052_001_05

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_05 declared as CardDataReading1Code
Modifier and Type
Field
Description
`protected CardDataReading1Code`
PaymentContext3.`cardDataNtryMd`
Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_05 with type parameters of type CardDataReading1Code
Modifier and Type
Field
Description
`protected List<CardDataReading1Code>`
PointOfInteractionCapabilities1.`cardRdngCpblties`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_05 that return CardDataReading1Code
Modifier and Type
Method
Description
`static CardDataReading1Code`
CardDataReading1Code.`fromValue(String v)`
`CardDataReading1Code`
PaymentContext3.`getCardDataNtryMd()`
Gets the value of the cardDataNtryMd property.
`static CardDataReading1Code`
CardDataReading1Code.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CardDataReading1Code[]`
CardDataReading1Code.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_05 that return types with arguments of type CardDataReading1Code
Modifier and Type
Method
Description
`List<CardDataReading1Code>`
PointOfInteractionCapabilities1.`getCardRdngCpblties()`
Gets the value of the cardRdngCpblties property.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_05 with parameters of type CardDataReading1Code
Modifier and Type
Method
Description
`void`
PaymentContext3.`setCardDataNtryMd(CardDataReading1Code value)`
Sets the value of the cardDataNtryMd property.